package com.om.entity.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author bmmx
 * @since 2024-03-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("app_version_describe")
@ApiModel(value="AppVersionDescribe对象", description="")
public class AppVersionDescribe implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "app_version_describe_id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "App ID")
    private Integer appId;

    @ApiModelProperty(value = "描述")
    private String description;

    @ApiModelProperty(value = "语言")
    private String language;


}
