package com.om.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.om.entity.po.Wxsc;
import com.om.mapper.WxscMapper;
import com.om.service.IWxscService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author henry-ong
 * @since 2024-03-09
 */
@Service
public class WxscServiceImpl extends ServiceImpl<WxscMapper, Wxsc> implements IWxscService {
  private final WxscMapper wxscMapper;

  public WxscServiceImpl(WxscMapper wxscMapper) {
    this.wxscMapper = wxscMapper;
  }

  @Override
  public Page<Wxsc> findManual(Page<Wxsc> page, String code, String title) {
    return wxscMapper.findManual(page, code, title);
  }
}
