package com.om.exception;

import lombok.Data;

/**
 * 业务异常类
 *需要继承运行时异常RuntimeException
 */
@Data
public class BizException extends RuntimeException {
    private final Integer code = 500;
    private String message = "业务异常";

    public BizException(String message) {
        this.message = message;
    }


}
