package com.om.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.om.constant.RedisConstant;
import com.om.entity.dto.AdminAddDTO;
import com.om.entity.dto.AdminQueryPageDTO;
import com.om.entity.po.Admin;
import com.om.entity.po.DiagClients;
import com.om.entity.vo.AdminLoginVO;
import com.om.entity.vo.AdminQueryPageVO;
import com.om.exception.BadReqException;
import com.om.exception.BizException;
import com.om.mapper.DiagClientsMapper;
import com.om.service.IDiagClientsService;
import com.om.utils.AdminContext;
import com.om.utils.JwtUtils;
import com.om.utils.Result;
import org.apache.commons.lang3.StringUtils;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;
import org.springframework.util.DigestUtils;

import javax.annotation.Resource;
import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.TimeUnit;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author bmmx
 * @since 2024-01-26
 */
@Service
public class DiagclientsServiceImpl extends ServiceImpl<DiagClientsMapper, DiagClients> implements IDiagClientsService {




}
